Bug 169069 - parsing of 802.11 Qos data broken
Summary: parsing of 802.11 Qos data broken
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ethereal   
(Show other bugs)
Version: rawhide
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Radek Vokal
QA Contact:
URL: http://bugs.ethereal.com/bugzilla/sho...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-09-22 18:59 UTC by Vladimir Kondratiev
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 0.10.12-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-27 06:14:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
capture with 802.11 qos data frames (640 bytes, application/octet-stream)
2005-09-22 18:59 UTC, Vladimir Kondratiev
no flags Details
fix for Qos data (494 bytes, patch)
2005-09-26 20:57 UTC, Vladimir Kondratiev
no flags Details | Diff

Description Vladimir Kondratiev 2005-09-22 18:59:34 UTC
Description of problem:
802.11 frames of type "qos data" parsed incorrectly

Version-Release number of selected component (if applicable):
ethereal-0.10.12-6, ethereal-0.10.12-7

How reproducible:
always

Steps to Reproduce:
1.get some capture with 802.11 "Qos data" frames I attached example with 4 TCP
frames. It have "prism" or "AVS WLAN" header
2.open it with ethereal
3.open details for qos data frame levels LLC and up
  
Actual results:
unparsed data

Expected results:
correctly parsed upper layers (ex. IP,TCP etc.)

Additional info:
ethereal 0.10.12 from its site have no this problem

Comment 1 Vladimir Kondratiev 2005-09-22 18:59:35 UTC
Created attachment 119162 [details]
capture with 802.11 qos data frames

Comment 2 Vladimir Kondratiev 2005-09-26 20:57:49 UTC
Created attachment 119277 [details]
fix for Qos data

simple one-line fix. Macro IS_DATA_QOS assume frame control field converted to
some internal format, as it is done with COMPOSE_FRAME_TYPE.
work for me. I'll cross post this fix to Ethereal bugzilla.

Comment 3 Vladimir Kondratiev 2005-09-26 21:00:49 UTC
hops... sorry, I forgot my login/password in Ethereal bugzilla, please forward
this patch to it.

Comment 4 Radek Vokal 2005-09-27 06:14:13 UTC
Thanks, reported to upstream and patch applied on rawhide.


Note You need to log in before you can comment on or make changes to this bug.